# OpenLayers.Control.ArgParser

The ArgParser control adds location bar query string parsing functionality to an OpenLayers Map. When added to a Map control, on a page load/refresh, the Map will automatically take the href string and parse it for lon, lat, zoom, and layers information.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.ArgParser | The ArgParser control adds location bar query string parsing functionality to an OpenLayers Map.
Properties |
displayProjection | {OpenLayers.Projection} Requires proj4js support.
Constructor |
OpenLayers.Control.ArgParser |

### Properties

### displayProjection

{OpenLayers.Projection} Requires proj4js support. Projection used when reading the coordinates from the URL. This will reproject the map coordinates from the URL into the map’s projection.

If you are using this functionality, be aware that any permalink which is added to the map will determine the coordinate type which is read from the URL, which means you should not add permalinks with different displayProjections to the same map.

### Constructor

### OpenLayers.Control.ArgParser

#### Parameters

options | {Object}

Methods for coordinate transforms between coordinate systems.
Controls affect the display or behavior of the map.
Close